-- employee table and data --
create table employee
(
    id SERIAL PRIMARY KEY,
    first_name VARCHAR(50),
    last_name VARCHAR(50),
    email VARCHAR(50) NOT NULL,
    gender VARCHAR(50)
);

insert into employee(first_name, last_name, email, gender)
values('Rice', 'Cristou', 'rcristou0@usa.gov', 'Female');
insert into employee(first_name, last_name, email, gender)
values('Delia', 'Jarrold', 'djarrold1@altervista.org', 'Male');
insert into employee(first_name, last_name, email, gender)
values('Zorine', 'Onions', 'zonions2@dagondesign.com', 'Female');
insert into employee(first_name, last_name, email, gender)
values('Kelley', 'Kleis', 'kkleis3@adobe.com', 'Female');
insert into employee(first_name, last_name, email, gender)
values('Reece', 'Petrushanko', 'rpetrushanko4@ihg.com', 'Male');
insert into employee(first_name, last_name, email, gender)
values('John', 'Doe', 'johndoe01@ihg.com', 'Male');

select * from employee;

-- department table and data --
create table department
(
    id SERIAL PRIMARY KEY,
    emp_id int,
    name VARCHAR(50) NOT NULL
);

insert into department(emp_id, name)values(1, 'Sales');
insert into department(emp_id, name)values(2, 'Product Management');
insert into department(emp_id, name)values(3, 'Research and Development');
insert into department(emp_id, name)values(4, 'Training');
insert into department(emp_id, name)values(5, 'Business Development');
insert into department(emp_id, name)values(NULL, 'Accounting');
insert into department(emp_id, name)values(NULL, 'Human Resources');

select * from department;

-- full join --
select e.first_name,
       e.last_name,
       d.name as department_name
from employee e
    full join department d
        on e.id = d.emp_id;

-- full join with where clause --
select e.first_name,
       e.last_name,
       d.name as department_name
from employee e
    full join department d
        on e.id = d.emp_id
where e.first_name is null
      and e.last_name is null;
